CVE-2002-1644
CVSS7.2
发布时间 :2002-11-25 00:00:00
修订时间 :2008-09-05 16:31:09
NMCO    

[原文]SSH Secure Shell for Servers and SSH Secure Shell for Workstations 2.0.13 through 3.2.1, when running without a PTY, does not call setsid to remove the child process from the process group of the parent process, which allows attackers to gain certain privileges.


[CNNVD]SSH Communications SSH Server权限提升漏洞(CNNVD-200211-038)

        
        Secure Shell是一款由SSH Communications分发和维护的商业SSH实现。
        Secure Shell Servers在非交互命令执行之后没有正确从主进程组删除子进程,远程攻击者可以利用这个漏洞发送误导消息给syslog和其他应用程序。
        当使用非交互连接时,在处理SSH Secure Shell主进程组时没有正确处理子进程,如果非交互命令不带pty执行(包含运行命令和子系统),子进程就会保留在主进程组中而不被删除。
        在依靠getlogin()平台上的恶意用户利用这个漏洞至少可以发送误导消息给SYSLOG和其他应用程序(getlogin()调用会返回"root")。
        目前认为此漏洞不能用于提升到root用户权限,但是如果某一个setuid应用程序依靠getlogin()输出就可能存在root用户权限获得的可能。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ssh:ssh2:2.5
cpe:/a:ssh:ssh2:2.1
cpe:/a:ssh:ssh2:3.1
cpe:/a:ssh:ssh2:3.2
cpe:/a:ssh:ssh2:3.1.4
cpe:/a:ssh:ssh2:3.1.2
cpe:/a:ssh:ssh2:2.3
cpe:/a:ssh:ssh2:3.0
cpe:/a:ssh:ssh2:3.2.1
cpe:/a:ssh:ssh2:3.0.1
cpe:/a:ssh:ssh2:3.1.3
cpe:/a:ssh:ssh2:2.4
cpe:/a:ssh:ssh2:2.0.13SSH Communications Security SSH2 2.0.13
cpe:/a:ssh:ssh2:2.2
cpe:/a:ssh:ssh2:3.1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1644
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1644
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200211-038
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/740619
(PATCH)  CERT-VN  VU#740619
http://www.ssh.com/company/newsroom/article/286/
(PATCH)  CONFIRM  http://www.ssh.com/company/newsroom/article/286/
http://www.securityfocus.com/bid/6247
(PATCH)  BID  6247
http://xforce.iss.net/xforce/xfdb/10710
(VENDOR_ADVISORY)  XF  ssh-setsid-privilege-elevation(10710)

- 漏洞信息

SSH Communications SSH Server权限提升漏洞
高危 设计错误
2002-11-25 00:00:00 2005-10-20 00:00:00
远程  
        
        Secure Shell是一款由SSH Communications分发和维护的商业SSH实现。
        Secure Shell Servers在非交互命令执行之后没有正确从主进程组删除子进程,远程攻击者可以利用这个漏洞发送误导消息给syslog和其他应用程序。
        当使用非交互连接时,在处理SSH Secure Shell主进程组时没有正确处理子进程,如果非交互命令不带pty执行(包含运行命令和子系统),子进程就会保留在主进程组中而不被删除。
        在依靠getlogin()平台上的恶意用户利用这个漏洞至少可以发送误导消息给SYSLOG和其他应用程序(getlogin()调用会返回"root")。
        目前认为此漏洞不能用于提升到root用户权限,但是如果某一个setuid应用程序依靠getlogin()输出就可能存在root用户权限获得的可能。
        

- 公告与补丁

        厂商补丁:
        SSH Communications Security
        ---------------------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        SSH Communications Security SSH2 2.0.13:
        SSH Communications Security SSH2 2.1:
        SSH Communications Security SSH2 2.2:
        SSH Communications Security SSH2 2.3:
        SSH Communications Security SSH2 2.4:
        SSH Communications Security SSH2 2.5:
        SSH Communications Security SSH2 3.0:
        SSH Communications Security SSH2 3.0.1:
        SSH Communications Security SSH2 3.1:
        SSH Communications Security Upgrade ssh-3.1.5
        
        http://ftp.ssh.com/priv/secureshell/h7cq89th/

        SSH Communications Security SSH2 3.1.1:
        SSH Communications Security Upgrade ssh-3.1.5
        
        http://ftp.ssh.com/priv/secureshell/h7cq89th/

        SSH Communications Security SSH2 3.1.2:
        SSH Communications Security Upgrade ssh-3.1.5
        
        http://ftp.ssh.com/priv/secureshell/h7cq89th/

        SSH Communications Security SSH2 3.1.3:
        SSH Communications Security Upgrade ssh-3.1.5
        
        http://ftp.ssh.com/priv/secureshell/h7cq89th/

        SSH Communications Security SSH2 3.1.4:
        SSH Communications Security Upgrade ssh-3.1.5
        
        http://ftp.ssh.com/priv/secureshell/h7cq89th/

        SSH Communications Security SSH2 3.2:
        SSH Communications Security Upgrade ssh-3.2.2
        
        http://ftp.ssh.com/priv/secureshell/6g3zslpk

        SSH Communications Security SSH2 3.2.1:
        SSH Communications Security Upgrade ssh-3.2.2
        
        http://ftp.ssh.com/priv/secureshell/6g3zslpk

- 漏洞信息

18240
SSH Secure Shell without PTY setsid() Function Privilege Escalation
Local Access Required
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

SSH contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is due to SSH failing to execute the setsid() function to remove the child from the parent process group when forking child processes for non-interactive sessions. This flaw may lead to a loss of integrity.

- 时间线

2002-11-25 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.1.5 or 3.2.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站